Subject: Re: Bug: "git stash create" ignores "message" argument

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jul 2025 10:13:07 -0700

Jeff King <[email-masked]> writes:

>   2. Possibly "stash store" could pull the default message from the
>      commit, rather than using the generic one.

This might be a good compromise.  Even we discourage the use of
"store" and "create" combo to interactive users, we do care about
ergonomics for script writers.

Those who use "create" to write a detailed log message (which may
later be reused for a real commit that is created out of the stashed
changes) would end up with a huge and unpleasant stash entries if
they use "store" without any message, which may be a negative
experinece for them, though.